% avoid unneceassty computation.

nsize = 8e+6;
vector_zero = zeros(nsize,1);
vector_inp_1 = rand(nsize,1);
vector_inp_2 = rand(nsize,1);
cvector_out_1 = complex(vector_zero,vector_zero);
cvector_out_2 = complex(vector_zero,vector_zero);
cvector_out_3 = complex(vector_zero,vector_zero);

tic;

cvector_inp_1 = complex(vector_zero,vector_inp_1);
cvector_inp_2 = complex(vector_zero,vector_inp_2);

for i = 1:nsize
    cvector_out_1(i,1) = exp( cvector_inp_1(i,1) ) ;
end

for i = 1:nsize
    cvector_out_2(i,1) = exp( cvector_inp_2(i,1) ) ;
end


%for i = 1:nsize
%    cvectort_out_3(i,1) = cvector_out_1(i,1) * cvector_out_2(i,1) ;
%end

    cvectort_out_3 = cvector_out_1 .* cvector_out_2 ;

toc;
